org.apache.cassandra.db

## Class RangeTombstoneList.InOrderTester

- java.lang.Object
- - org.apache.cassandra.db.RangeTombstoneList.InOrderTester

Enclosing class:
  RangeTombstoneList

    public class RangeTombstoneList.InOrderTester
    extends java.lang.Object

This object allow testing whether a given column (name/timestamp) is deleted or not by this RangeTombstoneList, assuming that the column given to this object are passed in (comparator) sorted order. This is more efficient that calling RangeTombstoneList.isDeleted() repeatedly in that case since we're able to take the sorted nature of the RangeTombstoneList into account.

### Constructor Summary

Constructors
Constructor and Description
`InOrderTester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDeleted(Cell cell)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InOrderTester

    public InOrderTester()

### Method Detail

#### isDeleted

    public boolean isDeleted(Cell cell)